[gelöst] Synaptic Problem

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
moviemark
Member
Member
Beiträge: 161
Registriert: 16. Jul 2005, 01:16

[gelöst] Synaptic Problem

Beitrag von moviemark » 25. Dez 2005, 00:32

Hallo,
ich erhalte bei dem Versuch synaptic per apt zu installieren die Meldung, daß das Paket libapt-pkg-libc6.3-5.so.0 nicht aufzufinden ist und demzufolge synaptic Installation nicht durchführbar ist.

Bislang hat weder --force noch Google noch die Forumsuche weitergeholfen oder kann ich nur mit dem Gefundenen nix anfangen?

Und auch das das Policy-Scipt kann das fehlende Paket nicht finden. Ist meine Source-List unvollständig?

Wer hat an Weihnachten Langeweile und hilft mir?

Mark
ps Suse 9.2 auf AMD64
Zuletzt geändert von moviemark am 27. Dez 2005, 19:45, insgesamt 1-mal geändert.

Werbung:
rolle
Guru
Guru
Beiträge: 3721
Registriert: 4. Mai 2004, 21:50
Kontaktdaten:

Beitrag von rolle » 25. Dez 2005, 00:56

Langeweile habe ich zwar nicht, aber versuche doch mal ein apt search.
Horrido, Roland

Für meine Postings gilt außer bei Zitaten hier im Linux-Club die Creative Commons.

moviemark
Member
Member
Beiträge: 161
Registriert: 16. Jul 2005, 01:16

Beitrag von moviemark » 25. Dez 2005, 10:06

hab ich schon, leider ohne erfolg

Benutzeravatar
Waschbaer
Member
Member
Beiträge: 114
Registriert: 12. Nov 2005, 10:00
Wohnort: Germany

Beitrag von Waschbaer » 25. Dez 2005, 10:33

Du solltest deine sources.list anpassen. Hast du dir schon einmal die Howtos durchgelesen?

http://www.linux-club.de/viewtopic.php?t=44774
Man kann nie so kompliziert denken, wie es plötzlich kommt

Opensuse 10.1, Ubuntu 6.06

http://petition.eurolinux.org/

moviemark
Member
Member
Beiträge: 161
Registriert: 16. Jul 2005, 01:16

Beitrag von moviemark » 25. Dez 2005, 11:59

danke,

hab ich schon probiert, wie bereits erwähnt hab ich für 9.2 alle repos durchgesucht, nix zu finden.

weitere Vorschläge?

Benutzeravatar
admine
Administrator
Administrator
Beiträge: 8746
Registriert: 15. Feb 2004, 21:13
Wohnort: Dresden
Kontaktdaten:

Beitrag von admine » 25. Dez 2005, 12:13

libapt-pkg-lib ist im rpm "apt-libs" enthalten.
Das sollte dann aber bei erfolgreicher APT-Installation schon installiert sein.

Was sagt

Code: Alles auswählen

apt policy apt-libs
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

moviemark
Member
Member
Beiträge: 161
Registriert: 16. Jul 2005, 01:16

Beitrag von moviemark » 25. Dez 2005, 12:16

apt-libs:
Installiert: 0.5.15cnc7-suse092.jm.2
Kandidat: 0.5.15cnc7-suse092.jm.2
Versionstabelle:
*** 0.5.15cnc7-suse092.jm.2 0
500 ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suser-jmorris pkglist
100 RPM Database
0.5.15cnc7-suse092.jm.1 0
500 ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suser-jmorris pkglist
0.5.15cnc6-suse092.jm.6 0
500 ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suser-jmorris pkglist

Benutzeravatar
admine
Administrator
Administrator
Beiträge: 8746
Registriert: 15. Feb 2004, 21:13
Wohnort: Dresden
Kontaktdaten:

Beitrag von admine » 25. Dez 2005, 16:06

und die Ausgabe von:

Code: Alles auswählen

rpm -ql apt-libs | grep libapt-pkg-libc*
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

moviemark
Member
Member
Beiträge: 161
Registriert: 16. Jul 2005, 01:16

Beitrag von moviemark » 25. Dez 2005, 17:45

Mark:/home/Mark # rpm -ql apt-libs | grep libapt-pkg-libc
/usr/lib64/libapt-pkg-libc6.3-5.so.2
/usr/lib64/libapt-pkg-libc6.3-5.so.2.0.0
Mark:/home/Mark #

moviemark
Member
Member
Beiträge: 161
Registriert: 16. Jul 2005, 01:16

Beitrag von moviemark » 27. Dez 2005, 18:02

Weiß denn keiner mehr weiter?

rolle
Guru
Guru
Beiträge: 3721
Registriert: 4. Mai 2004, 21:50
Kontaktdaten:

Beitrag von rolle » 27. Dez 2005, 18:14

Ich weiß zwar nicht, ob es funktioniert, aber Du könntest ja mal einen Symlink namens ....so.0 auf .....so.2 anlegen und dann versuchen, ob es klappt.
Horrido, Roland

Für meine Postings gilt außer bei Zitaten hier im Linux-Club die Creative Commons.

moviemark
Member
Member
Beiträge: 161
Registriert: 16. Jul 2005, 01:16

Beitrag von moviemark » 27. Dez 2005, 18:21

Hört sich gut an und was ist das und wie geht das?

rolle
Guru
Guru
Beiträge: 3721
Registriert: 4. Mai 2004, 21:50
Kontaktdaten:

Beitrag von rolle » 27. Dez 2005, 18:37

Werde root, 'cd /usr/lib64', 'ln -s libapt......so.2 libapt.....so.0'.
Horrido, Roland

Für meine Postings gilt außer bei Zitaten hier im Linux-Club die Creative Commons.

moviemark
Member
Member
Beiträge: 161
Registriert: 16. Jul 2005, 01:16

Beitrag von moviemark » 27. Dez 2005, 18:56

das gleiche problem besteht weiterhin

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Re: Synaptic Problem

Beitrag von oc2pus » 27. Dez 2005, 19:04

moviemark hat geschrieben:Ist meine Source-List unvollständig?
also meine Glaskugel ist jetzt sowas von heisgelaufen ... sag uns doch mal wie deine sources.list aussieht ....
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

moviemark
Member
Member
Beiträge: 161
Registriert: 16. Jul 2005, 01:16

Beitrag von moviemark » 27. Dez 2005, 19:11

ftp://ftp4.gwdg.de SuSE/9.2-x86_64/packman pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/packman release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/base pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/base release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/update pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/update release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suser-jmorris pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suser-jmorris release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/mozilla pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/mozilla release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/kde pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/kde release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suser-scorot pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suser-scorot release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/security pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/security release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/samba3 pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/samba3 release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/xorg pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/xorg release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/rpmkeys pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/rpmkeys release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suse-people pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suse-people release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suse-projects pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suse-projects release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/misc pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/misc release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suser-rbos pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/suser-rbos release
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/update-drpm pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/update-drpm release

Hilft daß denn zur Abkühlung der Glaskugel bei?

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 27. Dez 2005, 19:22

ja das hilft ungemein ...
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/update-drpm pkglist
ftp://ftp4.gwdg.de SuSE/9.2-x86_64/update-drpm release
1.) wie oft steht das hier im Forum, das die prpm NICHT geeignet sind um mit apt zusammenzuarbeiten ?

2.) ein einfaches apt policy synaptic, sollte dir folgendes zeigen:
synaptic-0.55.3-0.x86_64.rpm 09-Nov-2004 20:52 2.7M
[ ] synaptic-0.55.3-suse092.jm1.x86_64.rpm 12-Mar-2005 00:05 2.7M
und du solltest dann mal probieren:
apt install synaptic=0.55.3-suse092.jm1
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

moviemark
Member
Member
Beiträge: 161
Registriert: 16. Jul 2005, 01:16

Beitrag von moviemark » 27. Dez 2005, 19:44

Ok, ich hab die Änderung in der Sourcelist vorgenommen.

Jetzt hat die Installation geklappt, danke an alle für eure ausdauernde Hilfe.

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste